Calls

List Calls

GET
/orgs/{organizationId}/calls

Lists VOIP calls with filtering, sorting, and pagination

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""externalId""to""from""state""direction""customerId""contactId""createdAt""updatedAt""duration""recordingStatus""maybeCallerName""currentTranscriptionId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
customerId?string|array<string>|null
contactId?string|array<string>|null
currentTranscriptionId?string|array<string>|null
state?|array<>|
direction?|array<>|
recordingStatus?|array<>|
duration?number||
createdAt?|null
updatedAt?|null
externalId?string|array<string>|
to?string|array<string>|
from?string|array<string>|
maybeCallerName?string|array<string>|
hasLogs?boolean|string|number|null
hasNoLogs?boolean|string|number|null
hasTasks?boolean|string|number|null
hasNoTasks?boolean|string|number|null
hasTranscriptions?boolean|string|number|null
hasNoTranscriptions?boolean|string|number|null
logId?string|array<string>|
taskId?string|array<string>|
transcriptionId?string|array<string>|
hasCustomer?boolean|string|number|null
hasNoCustomer?boolean|string|number|null
hasContact?boolean|string|number|null
hasNoContact?boolean|string|number|null
hasCurrentTranscription?boolean|string|number|null
hasNoCurrentTranscription?boolean|string|number|null
search?string
phoneNumber?string

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/calls'
null